# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'trekyll/version'

Gem::Specification.new do |spec|
  spec.name          = "trekyll"
  spec.version       = Trekyll::VERSION
  spec.authors       = ["Canic Interactive"]
  spec.email         = ["nenad.mucic@canicinteractive.com"]

  spec.summary       = %q{Trello to Jekyll CMS}
  spec.description   = %q{Jekyll plugin for grabbing Trello content in CMS manner}
  spec.homepage      = "https://rubygems.org/gems/trekyll"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # TO DO: Set ruby-trello to my github (until the changes get in 2.1.0 v)
  # spec.add_runtime_dependency "trelloapi",">= 0.0.0"
  spec.add_runtime_dependency "ruby-trello",">= 2.1.0"
  spec.add_runtime_dependency "indentation", "~> 0.1.1"

  # spec.add_development_dependency "bundler", "~> 1.14"
  # spec.add_development_dependency "rake", "~> 10.0"
  # spec.add_development_dependency "rspec", "~> 3.0"
end
